CONFIG +=  compile_examples system-sqlite qpa largefile nostrip enable_new_dtags sse2 sse3 ssse3 sse4_1 sse4_2 avx avx2
QT_BUILD_PARTS +=  tools libs
QT_NO_DEFINES =  IMAGEFORMAT_JPEG LIBPROXY OPENVG TABLET XINPUT ZLIB
QT_QCONFIG_PATH = 
host_build {
    QT_CPU_FEATURES.x86_64 =  mmx sse sse2
} else {
    QT_CPU_FEATURES.x86_64 =  mmx sse sse2
}
QT_COORD_TYPE = double
QT_CFLAGS_PSQL   = -I/usr/include/pgsql
QT_CFLAGS_MYSQL   = -I/usr/include/mysql
QT_LFLAGS_MYSQL   = -lmysqlclient_r -lpthread -lz -lm -lssl -lcrypto -ldl
QT_CFLAGS_SQLITE   =  
QT_LFLAGS_SQLITE   = -lsqlite3  
QT_LFLAGS_ODBC   = -lodbc
styles += mac fusion windows
CONFIG += use_libmysqlclient_r
QT_LIBS_DBUS = -ldbus-1  
QT_CFLAGS_DBUS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include  
QT_HOST_CFLAGS_DBUS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include  
QT_CFLAGS_GLIB = -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
QT_LIBS_GLIB = -pthread -lgthread-2.0 -lglib-2.0  
QT_CFLAGS_QGTKSTYLE = -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm  
QT_LIBS_QGTKSTYLE = -lgobject-2.0 -lglib-2.0  
QT_CFLAGS_QGTK2 = -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm  
QT_LIBS_QGTK2 = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpangoft2-1.0 -lpango-1.0 -lm -lfontconfig -lgobject-2.0 -lglib-2.0 -lfreetype  
QT_CFLAGS_PULSEAUDIO = -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
QT_LIBS_PULSEAUDIO = -lpulse-mainloop-glib -lpulse -lglib-2.0  
QMAKE_INCDIR_OPENGL =  "/usr/include/libdrm"
QMAKE_LIBDIR_OPENGL = 
QMAKE_LIBS_OPENGL =  "-lGL"
QMAKE_CFLAGS_OPENGL = 
QMAKE_CFLAGS_FONTCONFIG = -I/usr/include/freetype2  
QMAKE_LIBS_FONTCONFIG = -lfontconfig -lfreetype  
QMAKE_INCDIR_LIBUDEV =  
QMAKE_LIBS_LIBUDEV = -ludev -lrt  
QMAKE_INCDIR_XKBCOMMON_EVDEV =  
QMAKE_LIBS_XKBCOMMON_EVDEV = -lxkbcommon  
DEFINES += QT_NO_LIBINPUT
QMAKE_LIBXI_VERSION_MAJOR = 1
QMAKE_LIBXI_VERSION_MINOR = 7
QMAKE_LIBXI_VERSION_PATCH = 2
QMAKE_X11_PREFIX = /usr
QMAKE_CFLAGS_XKBCOMMON =  
QMAKE_LIBS_XKBCOMMON = -lxkbcommon  
QMAKE_INCDIR_EGL = /usr/include/libdrm  
QMAKE_LIBS_EGL = -lEGL  
QMAKE_CFLAGS_EGL =  
QMAKE_CFLAGS_XCB =  
QMAKE_LIBS_XCB = -lxcb-sync -lxcb-xfixes -lxcb-render -lxcb-randr -lxcb-image -lxcb-shm -lxcb-keysyms -lxcb-icccm -lxcb-shape -lxcb  
EXTRA_INCLUDEPATH +=  "/usr/include/pcre" "/usr/include/libdrm"
sql-drivers = 
sql-plugins =  ibase mysql odbc psql sqlite
